GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "348fac12-da62-496c-84e8-cf6850fff3f9",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "c8c4f643-2827-4bb5-a8e7-948970e6d224",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "b05a1ddb-d0d7-4c66-9d31-743a902093fc",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "aa5e0974-a096-47a0-a51b-14335e3f75f2",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "d513c5b4-460a-4f60-826d-5f47f6b60483",
"Name": "sample string 1",
"Description": "sample string 2",
"IsWell": true,
"DisplayColor": "sample string 4",
"SourceSystemId": "sample string 5",
"CompanyId": "f9c9cf0d-211d-4cf0-9f33-46a0b83fd904",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 8"
},
"AssetGroup": {
"AssetGroupId": "b105d0c0-273c-48b3-95a1-41098fb67ec2",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-01T08:57:59.5111617-08:00",
"MeasurementValueNeededDate": "2026-11-01T08:57:59.5111617-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "a27c8436-2784-4610-89ca-995b5d7e8442",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"State": {
"StateId": "9bae324e-dc81-4158-9f01-ba610715f5f8",
"EffectiveDate": "2026-11-01T08:57:59.5111617-08:00",
"StateType": {
"StateTypeId": "fd0662f3-2f89-4512-b831-116fd4387fe3",
"Name": "sample string 1",
"IsOperational": true,
"AssetType": {
"AssetTypeId": "d513c5b4-460a-4f60-826d-5f47f6b60483",
"Name": "sample string 1",
"Description": "sample string 2",
"IsWell": true,
"DisplayColor": "sample string 4",
"SourceSystemId": "sample string 5",
"CompanyId": "f9c9cf0d-211d-4cf0-9f33-46a0b83fd904",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 8"
},
"SourceSystemId": "sample string 3",
"CompanyId": "0bb58745-af1b-4351-925f-8d16708c2a9b",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 6"
},
"SourceSystemId": "sample string 1",
"CompanyId": "ef950a0e-6c9b-4830-a350-d5e6ff7f85b1",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 3",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 4"
},
"Status": {
"StatusId": "231dab09-cc5c-4cb3-9f79-f827c7699e2d",
"EffectiveDate": "2026-11-01T08:57:59.5111617-08:00",
"StatusType": {
"StatusTypeId": "617a5fed-7df7-4d14-92f1-19f17943ab9a",
"Name": "sample string 1",
"IsProducing": true,
"IsInjecting": true,
"AssetType": {
"AssetTypeId": "d513c5b4-460a-4f60-826d-5f47f6b60483",
"Name": "sample string 1",
"Description": "sample string 2",
"IsWell": true,
"DisplayColor": "sample string 4",
"SourceSystemId": "sample string 5",
"CompanyId": "f9c9cf0d-211d-4cf0-9f33-46a0b83fd904",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 8"
},
"SourceSystemId": "sample string 4",
"CompanyId": "9d247f5a-4475-48b7-af79-c176ef36ed18",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 7"
},
"SourceSystemId": "sample string 1",
"CompanyId": "36ad8850-8477-4e16-8f62-ddbc5b43eb7a",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 3",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 4"
},
"WellPurpose": {
"WellPurposeId": "a7558271-a02b-4978-9c9d-68cc9d470ce5",
"EffectiveDate": "2026-11-01T08:57:59.5111617-08:00",
"WellPurposeType": {
"WellPurposeTypeId": "2cd31a50-b2bb-4cc3-bf91-8d8073802a9e",
"IsProducer": true,
"IsInjector": true,
"Name": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "bf18bbc2-3f73-4bda-8718-a0d824352df7",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 7"
},
"SourceSystemId": "sample string 1",
"CompanyId": "a1609ca5-24a0-488a-bba5-a4b5678eaa28",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 3",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 4"
},
"FormValueNeededDate": "2026-11-01T08:57:59.5111617-08:00",
"MeasurementValueNeededDate": "2026-11-01T08:57:59.5111617-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "94ba875a-de16-4195-a93c-8260d8492c34",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-01T08:57:59.5111617-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "054c1661-b8fa-4e5c-9676-59d78bf9c7a0",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "348fac12-da62-496c-84e8-cf6850fff3f9",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "c8c4f643-2827-4bb5-a8e7-948970e6d224",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "b05a1ddb-d0d7-4c66-9d31-743a902093fc",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "aa5e0974-a096-47a0-a51b-14335e3f75f2",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "d513c5b4-460a-4f60-826d-5f47f6b60483",
"Name": "sample string 1",
"Description": "sample string 2",
"IsWell": true,
"DisplayColor": "sample string 4",
"SourceSystemId": "sample string 5",
"CompanyId": "f9c9cf0d-211d-4cf0-9f33-46a0b83fd904",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 8"
},
"AssetGroup": {
"AssetGroupId": "b105d0c0-273c-48b3-95a1-41098fb67ec2",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-01T08:57:59.5111617-08:00",
"MeasurementValueNeededDate": "2026-11-01T08:57:59.5111617-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "a27c8436-2784-4610-89ca-995b5d7e8442",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"State": {
"StateId": "9bae324e-dc81-4158-9f01-ba610715f5f8",
"EffectiveDate": "2026-11-01T08:57:59.5111617-08:00",
"StateType": {
"StateTypeId": "fd0662f3-2f89-4512-b831-116fd4387fe3",
"Name": "sample string 1",
"IsOperational": true,
"AssetType": {
"AssetTypeId": "d513c5b4-460a-4f60-826d-5f47f6b60483",
"Name": "sample string 1",
"Description": "sample string 2",
"IsWell": true,
"DisplayColor": "sample string 4",
"SourceSystemId": "sample string 5",
"CompanyId": "f9c9cf0d-211d-4cf0-9f33-46a0b83fd904",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 8"
},
"SourceSystemId": "sample string 3",
"CompanyId": "0bb58745-af1b-4351-925f-8d16708c2a9b",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 6"
},
"SourceSystemId": "sample string 1",
"CompanyId": "ef950a0e-6c9b-4830-a350-d5e6ff7f85b1",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 3",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 4"
},
"Status": {
"StatusId": "231dab09-cc5c-4cb3-9f79-f827c7699e2d",
"EffectiveDate": "2026-11-01T08:57:59.5111617-08:00",
"StatusType": {
"StatusTypeId": "617a5fed-7df7-4d14-92f1-19f17943ab9a",
"Name": "sample string 1",
"IsProducing": true,
"IsInjecting": true,
"AssetType": {
"AssetTypeId": "d513c5b4-460a-4f60-826d-5f47f6b60483",
"Name": "sample string 1",
"Description": "sample string 2",
"IsWell": true,
"DisplayColor": "sample string 4",
"SourceSystemId": "sample string 5",
"CompanyId": "f9c9cf0d-211d-4cf0-9f33-46a0b83fd904",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 8"
},
"SourceSystemId": "sample string 4",
"CompanyId": "9d247f5a-4475-48b7-af79-c176ef36ed18",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 7"
},
"SourceSystemId": "sample string 1",
"CompanyId": "36ad8850-8477-4e16-8f62-ddbc5b43eb7a",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 3",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 4"
},
"WellPurpose": {
"WellPurposeId": "a7558271-a02b-4978-9c9d-68cc9d470ce5",
"EffectiveDate": "2026-11-01T08:57:59.5111617-08:00",
"WellPurposeType": {
"WellPurposeTypeId": "2cd31a50-b2bb-4cc3-bf91-8d8073802a9e",
"IsProducer": true,
"IsInjector": true,
"Name": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "bf18bbc2-3f73-4bda-8718-a0d824352df7",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 7"
},
"SourceSystemId": "sample string 1",
"CompanyId": "a1609ca5-24a0-488a-bba5-a4b5678eaa28",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 3",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 4"
},
"FormValueNeededDate": "2026-11-01T08:57:59.5111617-08:00",
"MeasurementValueNeededDate": "2026-11-01T08:57:59.5111617-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "94ba875a-de16-4195-a93c-8260d8492c34",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-01T08:57:59.5111617-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "054c1661-b8fa-4e5c-9676-59d78bf9c7a0",
"CreateDate": "2026-11-01T08:57:59.5111617-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-01T08:57:59.5111617-08:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}